<?php


function readContainerConfig() {
  try {
    $output = [];
    exec('basename "$(cat /proc/1/cpuset)"', $output);
    $id = reset($output);
    $output = [];
    exec('docker container inspect ' . $id, $output);
    return json_decode(implode('', $output), TRUE)[0];
  }
  catch (\Exception $ex) {
    // Ignore.
  }
  return [];
}

function getDockerMountSource() {
  $currentDir = getcwd();
  $container = readContainerConfig();
  foreach ($container['Mounts'] as $mount) {
    if (strpos($currentDir, $mount['Destination']) === 0) {
      return $mount['Source'] . ':' . $mount['Destination'];
    }
  }
  return $currentDir . ':' . $currentDir;
}

print(getDockerMountSource());
